> ## Documentation Index
> Fetch the complete documentation index at: https://doc.lucidworks.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update an entity



## OpenAPI

````yaml /api-reference/4.2/service-webapps-admin.json put /webapps/type/admin/configs/{id}
openapi: 3.0.0
info:
  version: 4.2.6-rc1
  title: Fusion Service webapps-admin
servers:
  - url: /api/apollo/
security: []
tags:
  - name: webapps-admin
paths:
  /webapps/type/admin/configs/{id}:
    put:
      tags:
        - 4.2 Webapps Admin API
      summary: Update an entity
      operationId: updateEntity
      parameters:
        - name: id
          in: path
          description: The entity ID
          required: true
          schema:
            type: string
        - name: If-Match
          in: header
          description: An entity tag to match
          required: false
          schema:
            type: string
            default: '"-1"'
      requestBody:
        $ref: '#/components/requestBodies/Entity'
      responses:
        '200':
          description: successful operation
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Entity'
components:
  requestBodies:
    Entity:
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Entity'
      description: JSON-formatted configuration values
  schemas:
    Entity:
      type: object
      properties:
        id:
          type: string

````